summaryrefslogtreecommitdiff
path: root/cleopatre/userfs/image/scripts/startplc
diff options
context:
space:
mode:
authorsave2009-02-17 11:00:26 +0000
committersave2009-02-17 11:00:26 +0000
commit35627f9a07eec481873251730a7a04ff62b5cc5f (patch)
tree548aa6765217978ce17971d1098481cfff564769 /cleopatre/userfs/image/scripts/startplc
parentbf184c66a04778474e239add8fa7751a371ca30c (diff)
[CLEO][KERNEL] Added MTD partitions and userfs management
git-svn-id: svn+ssh://pessac/svn/cesar/trunk@4001 017c9cb6-072f-447c-8318-d5b54f68fe89
Diffstat (limited to 'cleopatre/userfs/image/scripts/startplc')
-rwxr-xr-xcleopatre/userfs/image/scripts/startplc29
1 files changed, 29 insertions, 0 deletions
diff --git a/cleopatre/userfs/image/scripts/startplc b/cleopatre/userfs/image/scripts/startplc
new file mode 100755
index 0000000000..0aa9771a1f
--- /dev/null
+++ b/cleopatre/userfs/image/scripts/startplc
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# This file is used to to start the prototype with cesar and plcdrv
+
+#Variables
+plc_module="plcdrv.ko"
+leon_file=$1
+shift
+
+if [ "$leon_file" = "" ]
+then
+ echo "You need to precise the Cesar binary file"
+ exit 1
+fi
+
+#Download Cesar binary
+/root/scripts/download $leon_file
+/root/scripts/download $plc_module
+
+#Insert plcdrv module
+/root/scripts/plcdrv $*
+
+#Copy Cesar binary into Memory
+dd if=$leon_file of=/dev/plcdrv
+
+#Open plc0 interface and added to the bridge
+/sbin/ifconfig plc0 0.0.0.0
+brctl addif br0 plc0
+